using System.Net;

using YandexMusic.API.Common;
using YandexMusic.API.Models.Common;
using YandexMusic.API.Models.Radio;
using YandexMusic.API.Requests.Common;
using YandexMusic.API.Requests.Common.Attributes;

namespace YandexMusic.API.Requests.Radio;

[YApiRequest(WebRequestMethods.Http.Get, "rotor/station/{type}:{tag}/info")]
public class YGetStationBuilder : YRequestBuilder<YResponse<List<YStation>>, (string type, string tag)>
{
    public YGetStationBuilder(YandexMusicApi yandex, AuthStorage auth) : base(yandex, auth)
    {
    }

    protected override Dictionary<string, string> GetSubstitutions((string type, string tag) tuple)
    {
        return new Dictionary<string, string> {
            { "type", tuple.type },
            { "tag", tuple.tag }
        };
    }
}